require 'spec_helper'

describe 'Find escaped tags and entities' do

  before :each do
    @escaped_tag_notice = Rack::Escapee.new(TestApp.new, {:logfile => LOG_FILE, :entities => true})
    end

  it 'finds escaped strong tag' do
    @escaped_tag_notice.call Rack::MockRequest.env_for('/escaped_tag')
    last_line = ''
    File.open(LOG_FILE, 'r') do |f|
      while line = f.gets
        last_line = line
      end
    end

    last_line[32..-2].should == "WARN -- : rendering escaped tag: &lt;strong&gt; - /escaped_tag"
  end

  it 'finds escaped ampersand entity' do
    @escaped_tag_notice.call Rack::MockRequest.env_for('/escaped_entity')
    last_line = ''
    File.open(LOG_FILE, 'r') do |f|
      while line = f.gets
        last_line = line
      end
    end

    last_line[32..-2].should == "WARN -- : rendering escaped entity: &amp; - /escaped_entity"
  end

end
